%define name kinkatta
%define version 1.00
%define release 1mdk

%define builddir $RPM_BUILD_DIR/%{name}-%{version}

Summary: 	Kinkatta is an AOL instant messenger
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL/LGPL
Group: 		Networking/Instant messaging
Source: 	%{name}-%{version}.tar.bz2
URL: 		http://kinkatta.sourceforge.net/
BuildRoot: 	%_tmppath/%name-buildroot
Requires: 	libqt2 >= 2.3.0
BuildRequires:  gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel XFree86-libs Mesa-common
BuildRequires:  XFree86-static-libs automake autoconf diffutils file m4 texinfo gcc-c++ libbinutils2
BuildRequires:  libbzip2_1 db1 freetype2 libjpeg62 libmng1 libqt2 libstdc++2.10 libqt2-devel rpm-build

%description
Kinkatta is an AOL instant messenger. Kinkatta takes its name from
Kaim Is Not Kaim Anymore Thanks To Aol.

%prep
rm -rf %{builddir}

%setup

%build
export KDEDIR=/usr
./configure --prefix=%_prefix	\
            --enable-final \
	    --disable-debug --disable-rpath
%make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip

%makeinstall

install -d %buildroot/%_menudir

cat > %buildroot/%_menudir/%{name} <<EOF
?package(%{name}):\
command="%_bindir/kinkatta"\
title="Kinkatta"\
icon="instant_messaging_section.xpm"\
longtitle="AOL instant messenger"\
needs="kde"\
section="Networking/Instant messaging"
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%_bindir/*
%_datadir/apps/kinkatta/
%_datadir/icons/locolor/32x32/apps/kinkatta.png
%_datadir/icons/hicolor/48x48/apps/kinkatta.png
%_datadir/icons/hicolor/16x16/apps/kinkatta.png
%_datadir/icons/locolor/16x16/apps/kinkatta.png
%_datadir/icons/hicolor/32x32/apps/kinkatta.png
%_datadir/applnk/Internet/kinkatta.desktop
%_menudir/*
%doc AUTHORS COPYING.GPL COPYING.LGPL ChangeLog INSTALL NEWS PROTOCOL README TODO kinkatta.lsm

%changelog
* Sat Jan 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.00-1mdk
- Update code (1.00)
- Add missing files
- Make rpmlint happy

* Mon Oct 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99-4mdk
- update source (no cvs)

* Thu Oct 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99-3mdk
- fixes and update by Salane King<sking4@cinci.rr.com> :
- clean up spec file

* Wed Oct 17 2001 Salane King<sking4@cinci.rr.com> 0.99-1mdk
- Update with cvs 20011017 upgrade to 0.99

* Tue Oct 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.94-2mdk
- rebuild against new libpng

* Wed Oct 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.94-1mdk
- fixes/udpates by Salane King<sking4@cinci.rr.com> :
	- Replace kaim with kinkatta

* Thu Sep 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.70-2mdk
- Rebuild

* Thu Apr 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.70-1mdk
- udpated to 0.70

* Wed Mar 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.51-5mdk
- Add build requires

* Tue Mar 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.51-4mdk
- Add menu entry

* Tue Mar 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.51-3mdk
- Clean spec

* Tue Mar 20 2001 David BAUDENS <baudens@mandrakesoft.com> 0.51-2mdk
* Rebuild against Qt 2.3.0

* Fri Jan 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.51-1mdk 
- updated to 0.51

* Tue Dec 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.50-1mdk
- new in contribs





